import React from "react";
import { useFormikContext } from "formik";

var InputItem = function InputItem(props) {
  var label = props.label,
      name = props.name,
      id = props.id,
      type = props.type;

  var _useFormikContext = useFormikContext(),
      getFieldProps = _useFormikContext.getFieldProps,
      setFieldValue = _useFormikContext.setFieldValue; // 获取输入框的数据


  var _onChange = function _onChange(e) {
    setFieldValue(name, e.target.value);
  }; // 获取formik的value值


  var value = getFieldProps(name).value;
  return /*#__PURE__*/React.createElement("div", {
    className: "bufang-inputItem",
    style: {
      display: "flex"
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "bufang-inputItem-label"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: id
  }, label, "\uFF1A")), /*#__PURE__*/React.createElement("div", {
    className: "bufang-inputItem-input"
  }, /*#__PURE__*/React.createElement("input", {
    type: type,
    name: name,
    id: id,
    onChange: _onChange,
    value: value
  })));
};

InputItem.defaultProps = {
  type: "text"
};
export default InputItem;