"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var InputItem = function InputItem(props) {
  var label = props.label,
      name = props.name,
      id = props.id,
      type = props.type;

  var _useFormikContext = (0, _formik.useFormikContext)(),
      getFieldProps = _useFormikContext.getFieldProps,
      setFieldValue = _useFormikContext.setFieldValue; // 获取输入框的数据


  var _onChange = function _onChange(e) {
    setFieldValue(name, e.target.value);
  }; // 获取formik的value值


  var value = getFieldProps(name).value;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "bufang-inputItem",
    style: {
      display: "flex"
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "bufang-inputItem-label"
  }, /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: id
  }, label, "\uFF1A")), /*#__PURE__*/_react["default"].createElement("div", {
    className: "bufang-inputItem-input"
  }, /*#__PURE__*/_react["default"].createElement("input", {
    type: type,
    name: name,
    id: id,
    onChange: _onChange,
    value: value
  })));
};

InputItem.defaultProps = {
  type: "text"
};
var _default = InputItem;
exports["default"] = _default;